List DeepResearch tasks
curl --request GET \
--url https://api.valyu.ai/v1/deepresearch/list \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.valyu.ai/v1/deepresearch/list"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.valyu.ai/v1/deepresearch/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valyu.ai/v1/deepresearch/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valyu.ai/v1/deepresearch/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valyu.ai/v1/deepresearch/list")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valyu.ai/v1/deepresearch/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"deepresearch_id": "f992a8ab-4c91-4322-905f-190107bd5a5b",
"query": "CRISPR gene therapy clinical trials",
"status": "completed",
"created_at": "2024-06-15T10:30:00.000Z",
"public": false
},
{
"deepresearch_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"query": "Quantum computing market analysis",
"status": "running",
"created_at": "2024-06-15T11:00:00.000Z",
"public": false
}
]List Tasks
Reference for listing deep research tasks via GET /v1/deepresearch/list.
GET
/
v1
/
deepresearch
/
list
List DeepResearch tasks
curl --request GET \
--url https://api.valyu.ai/v1/deepresearch/list \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.valyu.ai/v1/deepresearch/list"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.valyu.ai/v1/deepresearch/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valyu.ai/v1/deepresearch/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valyu.ai/v1/deepresearch/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valyu.ai/v1/deepresearch/list")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valyu.ai/v1/deepresearch/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"deepresearch_id": "f992a8ab-4c91-4322-905f-190107bd5a5b",
"query": "CRISPR gene therapy clinical trials",
"status": "completed",
"created_at": "2024-06-15T10:30:00.000Z",
"public": false
},
{
"deepresearch_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"query": "Quantum computing market analysis",
"status": "running",
"created_at": "2024-06-15T11:00:00.000Z",
"public": false
}
]List research tasks associated with the authenticated API key. Use the returned identifiers to open a task with Get status.
Use this endpoint for a research history view. Store your application’s relationship between task IDs and its own users or projects rather than relying on query text as an identifier.
Authorizations
API key for authentication. Get yours at platform.valyu.ai.
Query Parameters
Maximum number of tasks to return.
Required range:
1 <= x <= 100Response
List of DeepResearch tasks.
Unique identifier for the research task.
Example:
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
The original research query.
Example:
"CRISPR gene therapy clinical trials"
Current task status.
Available options:
queued, running, completed, failed, cancelled Example:
"completed"
ISO 8601 timestamp of task creation.
Example:
"2024-06-15T10:30:00.000Z"
Whether the task results are publicly accessible.
Example:
false
Was this page helpful?